Practica10/Proyecto3/Proyecto3/urls.py
from django.contrib import admin
from django.urls import path,include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',include('apps.Modelo.urls'),),
    path('tigres/',include('apps.Triges.urls'),),

]

Practica10/Proyecto3/apps/Modelo/urls.py
from django.contrib import admin
from django.urls import path
from apps.Modelo.views import Template1,Template2,Template3,Template4,Template5,Template6,Template7,Template8,Template9,Template10,Index

app_name='Modelo'
urlpatterns = [
    path('',Index,name='Index'),
    path('template1/',Template1,name='template1'),
    path('template2/',Template2,name='template2'),
    path('template3/',Template3,name='template3'),
    path('template4/',Template4,name='template4'),
    path('template5/',Template5,name='template5'),
    path('template6/',Template6,name='template6'),
    path('template7/',Template7,name='template7'),
    path('template8/',Template8,name='template8'),
    path('template9/',Template9,name='template9'),
    path('template10/',Template10,name='template10'),
]

Practica10/Proyecto3/apps/Triges/urls.py
from django.contrib import admin
from django.urls import path
from apps.Triges.views import Lista,Detalles,Crear,Actualizar,Eliminar
from apps.Triges.views import gLista,gDetalles,gCrear,gEliminar,gActualizar

app_name='Triges'
urlpatterns = [
    path('glista/', gLista.as_view(), name="gLista"),
    path('gdetalles/<int:pk>', gDetalles.as_view(), name="gDetalles"),
    path('gcrear/', gCrear.as_view(), name="gCrear"),
    path('geliminar/<int:pk>', gEliminar.as_view(), name="gEliminar"),
    path('gactualizar/<int:pk>', gActualizar.as_view(), name="gActualizar"),

    path('lista/',Lista,name='Lista'),
    path('detalles/<int:id>',Detalles,name='Detalles'),
    path('crear/',Crear,name='Crear'),
    path('actualizar/<int:id>',Actualizar,name='Actualizar'),
    path('eliminar/<int:id>',Eliminar,name='Eliminar'),
]

Practica10/Proyecto3/apps/Modelo/models.py
from django.db import models

# Create your models here.

Practica10/Proyecto3/apps/Triges/models.py
from django.db import models

# Create your models here.
class Tigre(models.Model):
	nombre = models.CharField(max_length=30)
	raza = models.CharField(max_length=30)
	hogar = models.CharField(max_length=30)	
	habitad = models.CharField(max_length=30)
	color = models.CharField(max_length=30)
	edad = models.IntegerField()
	size = models.FloatField()
	peso = models.FloatField()
	date = models.DateField()

	def __str__(self):
		return self.nombre

Practica10/Proyecto3/apps/Triges/forms.py
from django import forms

from apps.Triges.models import Tigre

class TigreForm(forms.ModelForm):
	nombre = forms.CharField(widget=forms.TextInput(attrs={"placeholder":"Nombre","class":"form-control"}))
	raza = forms.CharField(widget=forms.TextInput(attrs={"placeholder":"Raza","class":"form-control"}))
	hogar = forms.CharField(widget=forms.TextInput(attrs={"placeholder":"hogar","class":"form-control"}))
	habitad = forms.CharField(widget=forms.TextInput(attrs={"placeholder":"habitad","class":"form-control"}))
	color = forms.CharField(widget=forms.TextInput(attrs={"placeholder":"color","class":"form-control"}))
	edad = forms.IntegerField(widget=forms.NumberInput(attrs={"placeholder":"edad","class":"form-control"}))
	size = forms.FloatField(widget=forms.TextInput(attrs={"placeholder":"Size","class":"form-control"}))
	peso = forms.FloatField(widget=forms.TextInput(attrs={"placeholder":"peso","class":"form-control"}))
	date = forms.DateField(widget=forms.DateInput(attrs={"placeholder":"Registro","class":"form-control"}))
	class Meta:
		model = Tigre
		fields = [
			"nombre",
			"raza",
			"hogar",
			"habitad",
			"color",
			"edad",
			"size",
			"peso",
			"date",

		]
			

Practica10/Proyecto3/apps/Modelo/views.py
from django.shortcuts import render

# Create your views here.
def Index(request):
    return render(request,'index.html')
    
def Template1(request):
    context = {
        'message': "Soy el Template 1 - Proyecto 3",
    }
    return render(request, 'Modelo/template1.html', context)

def Template2(request):
    context = {
        'message': "Soy el Template 2 - Proyecto 3",
    }
    return render(request, 'Modelo/template2.html', context)

def Template3(request):
    context = {
        'message': "Soy el Template 3 - Proyecto 3",
    }
    return render(request, 'Modelo/template3.html', context)

def Template4(request):
    context = {
        'message': "Soy el Template 4 - Proyecto 3",
    }
    return render(request, 'Modelo/template4.html', context)

def Template5(request):
    context = {
        'message': "Soy el Template 5 - Proyecto 3",
    }
    return render(request, 'Modelo/template5.html', context)

def Template6(request):
    context = {
        'message': "Soy el Template 6 - Proyecto 3",
    }
    return render(request, 'Modelo/template6.html', context)

def Template7(request):
    context = {
        'message': "Soy el Template 7 - Proyecto 3",
    }
    return render(request, 'Modelo/template7.html', context)

def Template8(request):
    context = {
        'message': "Soy el Template 8 - Proyecto 3",
    }
    return render(request, 'Modelo/template8.html', context)

def Template9(request):
    context = {
        'message': "Soy el Template 9 - Proyecto 3",
    }
    return render(request, 'Modelo/template9.html', context)

def Template10(request):
    context = {
        'message': "Soy el Template 10 - Proyecto 3",
    }
    return render(request, 'Modelo/template10.html', context)

Practica10/Proyecto3/apps/Triges/views.py
from django.shortcuts import render,redirect
from apps.Triges.models import Tigre
from apps.Triges.forms import TigreForm
from django.views.generic import ListView,CreateView,DetailView,UpdateView,DeleteView
from django.urls import reverse_lazy
# Create your views here.

#Generics Views
class gLista(ListView):
	model = Tigre
	template_name ='Tigres/glista.html'

class gDetalles(DetailView):
	model  = Tigre
	template_name = 'Tigres/detalles.html'

class gCrear(CreateView):
	model = Tigre
	form_class = TigreForm
	template_name = 'Tigres/crear.html'
	success_url = reverse_lazy('Triges:gLista')

class gActualizar(UpdateView):
	model = Tigre
	form_class = TigreForm
	template_name = 'Tigres/crear.html'
	success_url = reverse_lazy('Triges:gLista')

class gEliminar(DeleteView):
	model  = Tigre
	template_name = 'Tigres/geliminar.html'
	success_url = reverse_lazy('Triges:gLista')
	
#Funciones 
def Lista(request):
	qs = Tigre.objects.all()
	context = {
		'tigres' : qs
	}
	return render(request,'Tigres/lista.html',context)

def Detalles(request,id):
	qs = Tigre.objects.get(id=id)
	context = {
		'tigre' : qs
	}
	return render(request,'Tigres/detalles.html',context)

def Crear(request):
	if request.method == 'POST':
		form = TigreForm(request.POST)
		if form.is_valid():
			form.save()
			return redirect('Triges:Lista')
	else:
		form = TigreForm()

	return render(request,'Tigres/crear.html',{'form':form})

def Actualizar(request,id):
	qs = Tigre.objects.get(id=id)
	if request.method == 'GET':
		form = TigreForm(instance = qs)
	else:
		form = TigreForm(request.POST, instance = qs)
		if form.is_valid():
			form.save()
		return redirect('Triges:Lista')
	return render(request,'Tigres/crear.html',{'form':form})

def Eliminar(reques,id):
	qs = Tigre.objects.get(id=id)
	qs.delete()
	return redirect('Triges:Lista')

Practica10/Proyecto3/templates/Tigres/crear.html
{% extends 'index.html' %}

{% block container %}
<form method="POST">
	{% csrf_token%}	
	{{form.as_p}}
	<button class="btn btn-outline-dark" type="submit">Guardar</button>
</form>
{% endblock %}

Practica10/Proyecto3/templates/Tigres/detalles.html
{% extends 'index.html' %}

{% block container %}
<div class="row">
	<div class="col-md-3"></div>
<div class="col-md-3 mt-3">
	<table class="table">
		<tr>
			<td><b>Nombre</b></td>
			<td>{{tigre.nombre}}</td>
		</tr>
		<tr>
			<td><b>Raza</b></td>
			<td>{{tigre.raza}}</td>
		</tr>
		<tr>
			<td><b>Hogar</b></td>
			<td>{{tigre.hogar}}</td>
		</tr>
		<tr>
			<td><b>Habitad</b></td>
			<td>{{tigre.habitad}}</td>
		</tr>
		<tr>
			<td><b>Color</b></td>
			<td>{{tigre.color}}</td>
		</tr>
		<tr>
			<td><b>Edad</b></td>
			<td>{{tigre.edad}} años</td>
		</tr>
		<tr>
			<td><b>size</b></td>
			<td>{{tigre.size}} m</td>
		</tr>
		<tr>
			<td><b>Peso</b></td>
			<td>{{tigre.peso}} kg</td>
		</tr>
		<tr>
			<td><b>Registro</b></td>
			<td>{{tigre.date}}</td>
		</tr>		
		<tr>
			<td><b></b></td>
			<td><a href="{% url 'Triges:Lista'%}">Regresar</a></td>
		</tr>	
</table>
</div>	
</div>


{% endblock %}

Practica10/Proyecto3/templates/Tigres/geliminar.html
{% extends 'index.html' %}

{% block container %}
<div class="row">
	<div class="col-md">
		<h3>Esta eliminando {{ object }}</h3>
		<form method="POST">
			{% csrf_token %}
			<button type="submit" class="btn btn-outline-danger">Eliminar</button>
			<a href="{% url 'Triges:gLista' %}" class="btn btn-outline-dark">Regresar</a>
		</form>
	</div>
</div>


{% endblock %}

Practica10/Proyecto3/templates/Tigres/glista.html
{% extends 'index.html' %}

{% block container %}
<table class="table">
	<th>Nombre</th>
	<th>Raza</th>
	<th>Registro</th>
	<th></th>
	<th></th>
	{% for tigre in object_list %}
		<tr>
			<td>{{tigre.nombre}}</td>
			<td>{{tigre.raza}}</td>
			<td>{{tigre.date}}</td>
			<td><a href="{% url 'Triges:gDetalles' tigre.id %}">Detalles</a></td>
			<td><a href="{% url 'Triges:gActualizar' tigre.id %}">Actualizar</a></td>
			<td><a href="{% url 'Triges:gEliminar' tigre.id %}">Eliminar</a></td>
		</tr>
	{% endfor %}
</table>
			<a class="btn btn-outline-dark" href="{% url 'Triges:gCrear'%}">Nuevo</a>

{% endblock %}

Practica10/Proyecto3/templates/Tigres/lista.html
{% extends 'index.html' %}

{% block container %}
<table class="table">
	<th>Nombre</th>
	<th>Raza</th>
	<th>Registro</th>
	<th></th>
	<th></th>
	{% for tigre in tigres %}
		<tr>
			<td>{{tigre.nombre}}</td>
			<td>{{tigre.raza}}</td>
			<td>{{tigre.date}}</td>
			<td><a href="{% url 'Triges:Detalles' tigre.id %}">Detalles</a></td>
			<td><a href="{% url 'Triges:Actualizar' tigre.id %}">Actualizar</a></td>
			<td><a href="{% url 'Triges:Eliminar' tigre.id %}">Eliminar</a></td>
		</tr>
	{% endfor %}
</table>
			<a class="btn btn-outline-dark" href="{% url 'Triges:Crear'%}">Nuevo</a>
{% endblock %}